# List Staking Rewards The staking account is used to calculate the reward distribution, but isn't always the destination account. This depends on the configured payout account. Endpoint: GET /staking/v5/stakingRewards Version: 1.5.0 Security: ## Query parameters: - `accountNumber` (string) Filter on account number. - `payoutTimeAfterInclusive` (string) Filter on rewards paid out after timestamp (inclusive). - `payoutTimeBeforeExclusive` (string) Filter on rewards paid out before timestamp (exclusive). - `page` (integer) Page. - `pageSize` (integer) Page size. Default: 10. ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Response 200 fields (application/json): - `count` (integer) - `page` (integer) - `totalCount` (integer) - `pageSize` (integer,null) - `items` (array) - `items.id` (string) Can be found as an external reference for Reward in other systems. N.B. Commission bookings are a different transaction, with a different external reference. - `items.targetAccountNumber` (string) Account that the rewards were paid out to. - `items.stakingAccountNumber` (string) Staking account that earned the rewards. - `items.amount` (number) Gross amount of rewards paid out. - `items.assetSymbol` (string) Asset Symbol for rewards. - `items.commissionPercentage` (number) Commission percentage (0 to 100) taken from the gross reward amount. - `items.commission` (number) Commission amount taken from the gross reward amount. - `items.finalAmount` (number) Net reward amount paid out to the target account after commissions. - `items.createdOn` (string) Timestamp for when it was decided that the rewards should be paid out. Note that actual payout time differs. - `items.executionLayerAmount` (number,null) Gross amount of execution layer rewards. Only applicable to Pre-Pectra Ethereum rewards. - `items.consensusLayerAmount` (number,null) Gross amount of consensus layer rewards. Only applicable to Pre-Pectra Ethereum rewards. - `items.periodFrom` (string,null) Timestamp indicating the start of the period in which the rewards were earned. This is only available for automated payouts. - `items.periodTo` (string,null) Timestamp indicating the end of the period in which the rewards were earned. This is only available for automated payouts. - `items.lockedAmount` (number,null) Amount of rewards that are locked. - `items.lockedTill` (string,null) Timestamp indicating expiration of the lock, if the rewards are locked. ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 422 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 500 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 502 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer) - `detail` (string,null) - `instance` (string,null) - `errorCode` (integer) - `traceId` (string,null) ## Response 204 fields ## Response 401 fields ## Response 403 fields